# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-dpaste
%global pkgname django-dpaste
%global obs_ver 0.2.4-5

Summary:	Dpaste is a code paste-bin application using Django
Name:		python-module-django-dpaste
Version:	0.2.4
Release:	alt1_11
License:	BSD with advertising
Group:		Development/Python
URL:		https://github.com/bartTC/django-paste/
SOURCE:		http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools

Provides:		%{pkgname} = %{version}-%{release}
Obsoletes:		%{pkgname} < %{obs_ver}
Source44: import.info


%description
Originally inspired by dpaste.com this application adds the ability to:

See the differences between snippets
A history of snippets as a tree
See your latest 25 snippets (admin setting)
A huge bunch of syntax highlighters (lexers)
User defined settings to change the font-family as well as font-sizes
Nicer colors
Multilangual interface

%prep
%setup -q -n %{pkgname}-%{version}

# the following line is to account for a build problem thats outside of my control
# it will be fixed upstream very soon, but I don't see it as a reason to delay packaging
find $buildroot -type f \( -name .DS_Store -o -name ._\* \) -print0 |xargs -0 rm -f
rm -rf dpaste/templates/dpaste/.tmp* 



%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
	's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
	>> django.lang


%files -f django.lang
%doc CHANGELOG LICENSE MANIFEST.in README.rst
%{python_sitelibdir_noarch}/django_dpaste-%{version}-py2.*
%dir %{python_sitelibdir_noarch}/dpaste
%{python_sitelibdir_noarch}/dpaste/*.py*
%{python_sitelibdir_noarch}/dpaste/templates
%{python_sitelibdir_noarch}/dpaste/templatetags
%{python_sitelibdir_noarch}/dpaste/management
%dir %{python_sitelibdir_noarch}/dpaste/locale/??/LC_MESSAGES
%dir %{python_sitelibdir_noarch}/dpaste/locale/??
%dir %{python_sitelibdir_noarch}/dpaste/locale

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_11
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_10
- initial fc import

